# $Revision: 1.43 $, $Date: 2010/06/14 18:22:23 $
Summary:	GNU Source Highlight
Summary(pl.UTF-8):	Podświetlanie składni z projektu GNU
Name:		source-highlight
Version:	3.1.4
Release:	1
License:	GPL v3+
Group:		Applications/Publishing
Source0:	http://ftp.gnu.org/gnu/src-highlite/%{name}-%{version}.tar.gz
# Source0-md5:	becf8292b84ece6b532b0f0c92b530ee
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/src-highlite/
BuildRequires:	automake
BuildRequires:	boost-devel >= 1.36.0
BuildRequires:	flex
BuildRequires:	libstdc++-devel
BuildRequires:	texinfo
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This program, given a source file, produces a document with syntax
highlighting.

At the moment this package can handle:

- Ada
- Asm (new)
- Applescript (new)
- Awk (new)
- Autoconf files
- Bat (new)
- Bib
- Bison
- C/C++
- C#
- Clipper (new)
- Cobol (new)
- Configuration files (generic)
- Caml
- Changelog
- Css
- D (new)
- Diff
- Erlang (new)
- errors (compiler output) (new)
- Flex
- Fortran
- GLSL
- Haskell
- Haxe
- Html
- ini files
- Java
- Javascript
- KDE desktop files
- Latex
- Ldap files
- Logtalk
- Log files
- lsm files (Linux Software Map)
- Lua
- Makefile
- Manifest (new)
- M4
- ML
- Oz
- Pascal
- Perl
- pkg-config files
- PHP
- Postscript
- Prolog
- Properties files
- Python
- RPM Spec files
- Ruby
- Scala
- Shell
- S-Lang
- Sql
- Tcl
- Texinfo
- VBscript (new)
- XML
- XOrg conf files

as source languages, and

- HTML
- XHTML
- ANSI color escape sequences
- LaTeX
- Texinfo
- DocBook


as output formats.

%description -l pl.UTF-8
Ten program z pliku źródłowego tworzy dokument z podświetloną
składnią.

Aktualnie obsługiwane języki źródłowe to:

- Ada
- Asm (nowość)
- Applescript (nowość)
- Awk (nowość)
- Autoconf files
- Bat (nowość)
- Bib
- Bison
- C/C++
- C#
- Clipper (nowość)
- Cobol (nowość)
- Configuration files (generic)
- Caml
- Changelog
- Css
- D (nowość)
- Diff
- Erlang (nowość)
- errors (compiler output) (nowość)
- Flex
- Fortran
- GLSL
- Haskell
- Haxe
- Html
- ini files
- Java
- Javascript
- KDE desktop files
- Latex
- Ldap files
- Logtalk
- Log files
- lsm files (Linux Software Map)
- Lua
- Makefile
- Manifest (nowość)
- M4
- ML
- Oz
- Pascal
- Perl
- pkg-config files
- PHP
- Postscript
- Prolog
- Properties files
- Python
- RPM Spec files
- Ruby
- Scala
- Shell
- S-Lang
- Sql
- Tcl
- Texinfo
- VBscript (nowość)
- XML
- XOrg conf files

a wynikiem może być:

- HTML
- XHTML
- ANSI color escape sequences
- LaTeX
- Texinfo
- DocBook

%package devel
Summary:	Header file for srchlite library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki srchlite
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header file for srchlite library.

%description devel -l pl.UTF-8
Plik nagłówkowy biblioteki srchlite.

%package libs
Summary:	Source highlight library
Summary(pl.UTF-8):	Biblioteka podświetlania składni
Group:		Libraries

%description libs
Source highlight library.

%description libs -l pl.UTF-8
Biblioteka podświetlania składni.

%package static
Summary:	Static source-highlight library
Summary(pl.UTF-8):	Statyczna biblioteka source-highlight
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Statoic source highlight library.

%description static -l pl.UTF-8
Statyczna biblioteka podświetlania składni.

%package -n bash-completion-source-highlight
Summary:	bash-completion for source-higlight
Summary(pl.UTF-8):	bashowe uzupełnianie nazw dla pakietu source-highlight
Group:		Applications/Shells
Requires:	bash-completion

%description -n bash-completion-source-highlight
This package provides bash-completion for source-highlight.

%description -n bash-completion-source-highlight -l pl.UTF-8
Pakiet ten dostarcza bashowe uzupełnianie nazw dla pakiet
source-highlight.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub .
%configure \
	--with-boost-libdir=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_docdir}/%{name}/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO.txt doc/{*.css,*.html,*.java}
%attr(755,root,root) %{_bindir}/check-regexp
%attr(755,root,root) %{_bindir}/cpp2html
%attr(755,root,root) %{_bindir}/java2html
%attr(755,root,root) %{_bindir}/source-highlight
%attr(755,root,root) %{_bindir}/source-highlight-settings
%attr(755,root,root) %{_bindir}/src-hilite-lesspipe.sh
%{_mandir}/man1/check-regexp.1*
%{_mandir}/man1/source-highlight.1*
%{_mandir}/man1/source-highlight-settings.1*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_infodir}/source-highlight.info*
%{_infodir}/source-highlight-lib.info*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsource-highlight.so
%{_libdir}/libsource-highlight.la
%{_includedir}/srchilite
%{_pkgconfigdir}/source-highlight.pc

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsource-highlight.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsource-highlight.so.3

%files static
%defattr(644,root,root,755)
%{_libdir}/libsource-highlight.a

%files -n bash-completion-source-highlight
%defattr(644,root,root,755)
%{_sysconfdir}/bash_completion.d/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: source-highlight.spec,v $
Revision 1.43  2010/06/14 18:22:23  qboosh
- updated to 3.1.4

Revision 1.42  2010/05/12 20:30:45  sparky
- dropped unused BR: bison

Revision 1.41  2010/03/26 10:56:35  pluto
- release 4 (rebuild with boost-1.42.0)

Revision 1.40  2010/03/08 13:32:51  hawk
- release 3

Revision 1.39  2009/12/31 09:26:26  megabajt
- fixed deps: -devel requires -libs, -static requires -devel
- more verbose files
- release 2

Revision 1.38  2009/12/30 09:16:55  adamg
- updated to 3.1.2
- language list synced with 3.1.2 announce
- -libs,-devel and -static subpackages
- -am patch no longer needed

Revision 1.37  2009/06/21 11:47:43  hawk
- release 4

Revision 1.36  2009/03/13 23:43:44  hawk
- release 3

Revision 1.35  2009/02/06 16:11:41  hawk
- specify boost libdir, fixes x86_64 build, release 2

Revision 1.34  2008/12/25 16:19:23  adamg
- updated to 2.11.1
- sync description with official announce
- bash-completion subpackage

Revision 1.33  2008/11/16 04:24:20  pawelz
- up to 2.11

Revision 1.32  2008/11/07 17:45:36  megabajt
- release 5

Revision 1.31  2008/09/01 20:06:17  arekm
- release 4

Revision 1.30  2008/08/29 20:35:22  pluto
- fixup unwanted make rules, relase 3.

Revision 1.29  2008/08/29 13:37:32  pluto
- bump release and rebuild w/ new boost.

Revision 1.28  2008/07/18 19:14:44  qboosh
- updated to 2.10

Revision 1.27  2008/06/01 16:06:54  megabajt
- release 2

Revision 1.26  2008-04-29 14:06:08  pluto
- reorganize boost BRs (boost-devel >= 1.35.0).

Revision 1.25  2008-03-01 16:58:59  qboosh
- updated to 2.9

Revision 1.24  2008-01-24 01:23:02  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.23  2007-11-30 22:03:19  qboosh
- updated to 2.8 (GPL v3 now)
- added info patch

Revision 1.22  2007-09-03 14:33:06  baggins
- rel 3

Revision 1.21  2007/06/22 11:26:02  arekm
- rel 2

Revision 1.20  2007/04/23 14:42:17  blekot
- corrected my changelog (up to 2.6, not 2.6.1) (thx glen)

Revision 1.19  2007/04/23 14:30:42  blekot
- up to 2.6

Revision 1.18  2007/02/12 22:09:15  glen
- tabs in preamble

Revision 1.17  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.16  2007/01/27 19:51:11  pascalek
- updated to 2.5

Revision 1.15  2005/07/22 16:06:18  blekot
- reverted my last commit

Revision 1.14  2005/07/22 11:03:42  blekot
- up to 2.1

Revision 1.13  2005/05/23 18:06:01  qboosh
- unified

Revision 1.12  2005/05/23 17:57:11  witekfl
- updated to 2.0

Revision 1.11  2005/02/12 19:08:14  darekr
- missing dir, cosmetics

Revision 1.10  2004/10/01 08:44:58  paladine
- updated to 1.11
- added URL
- updated desc

Revision 1.9  2003/05/27 11:52:18  trojan
- added Source-md5

Revision 1.8  2003/05/25 06:26:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/02 09:13:05  trojan
- updated to 1.7

Revision 1.6  2003/01/30 13:40:02  trojan
- updated to 1.6.3rc

Revision 1.5  2002/12/28 16:30:03  qboosh
- don't force gzipped infos and mans, some other fixes/cosmetics where necessary

Revision 1.4  2002/11/30 23:00:28  juandon
- new %%doc

Revision 1.3  2002/05/13 20:28:38  filon
- updated to 1.4
- added info about PHP3 colorization

Revision 1.2  2002/04/14 19:53:12  qboosh
- pl description and real Summary translation

Revision 1.1  2002/04/13 10:38:55  trojan
- initial
TODO: missing Polish description
